Lucene search

K
slackware
Slackware Linux ProjectSSA-2016-145-01
HistoryMay 25, 2016 - 5:53 a.m.

[slackware-security] libarchive

2016-05-2505:53:14
Slackware Linux Project
www.slackware.com
12

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

6.8 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:M/Au:N/C:P/I:P/A:P

0.112 Low

EPSS

Percentile

95.0%

New libarchive packages are available for Slackware 14.1 and -current to
fix a security issue.

Here are the details from the Slackware 14.1 ChangeLog:

patches/packages/libarchive-3.1.2-i486-2_slack14.1.txz: Rebuilt.
Patched an issue with Zip archive handling that could allow an attacker
to overwrite parts of the heap in a controlled fashion and execute
arbitrary code.
For more information, see:
https://vulners.com/cve/CVE-2016-1541
(* Security fix *)

Where to find the new packages:

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the “Get Slack” section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware-14.1/patches/packages/libarchive-3.1.2-i486-2_slack14.1.txz

Updated package for Slackware x86_64 14.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.1/patches/packages/libarchive-3.1.2-x86_64-2_slack14.1.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/libarchive-3.1.2-i586-3.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/libarchive-3.1.2-x86_64-3.txz

MD5 signatures:

Slackware 14.1 package:
36d7ea07c94eb19c7bddbb6b14085995 libarchive-3.1.2-i486-2_slack14.1.txz

Slackware x86_64 14.1 package:
23098669ee8382889d926ef24ec00d91 libarchive-3.1.2-x86_64-2_slack14.1.txz

Slackware -current package:
0e1ce376d5fd570371e5ab98c9134d42 l/libarchive-3.1.2-i586-3.txz

Slackware x86_64 -current package:
666d5136d4648aba95a55920fb9411fe l/libarchive-3.1.2-x86_64-3.txz

Installation instructions:

Upgrade the package as root:
> upgradepkg libarchive-3.1.2-i486-2_slack14.1.txz

Use Vulners API to create your own security tool

API usage cases
  • Network scanning
  • Linux Patch management
  • Threat protection
  • No network audit solution

Ways of integration

Integrate Vulners API

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

6.8 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:M/Au:N/C:P/I:P/A:P

0.112 Low

EPSS

Percentile

95.0%

Related for SSA-2016-145-01